eCos Reference Manual
Prev |  | Next

# cache

## Name

cache -- Control hardware caches

## Synopsis

cache [on | off]

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
on |  | Turn the caches on | none
off |  | Turn the caches off | none

## Description

The cache command is used to manipulate the caches on the processor.

With no options, this command specifies the state of the system caches.

When an option is given, the caches are turned off or on appropriately.

## Examples

Show the current cache state.

    RedBoot> cache
    Data cache: On, Instruction cache: On

Disable the caches.

    RedBoot> cache off
    RedBoot> cache
    Data cache: Off, Instruction cache: Off

Enable the caches.

    RedBoot> cache on
    RedBoot> cache
    Data cache: On, Instruction cache: On

Prev | Home | Next
baudrate | Up | channel